/*******************************************************************
  Interface Socket Stream
  Written by Yasusi Kanada on September 9, 2003
*******************************************************************/

import java.net.*;

/**
 * Socket Stream I/O: A thin protocol layer below SSIP.
 */
public interface SocketIOStream {

    /**
     * Close the stream.
     */
    public void close();

    /**
     * Write a message (a TCP packet).
     */
    public boolean write(InetAddress remoteAddress, int remotePort,
                         String message);

    /**
     * Read a message (a UDP packet).
     */
    public String read();

    /**
     * Get the remote message sender's address.
     * (It is defined only immediately after read() is called.)
     */
    public InetAddress getFromAddress();
}
