/*******************************************************************
  Simple Session Initiation Protocol (SSIP) Listener Interface
  Written by Yasusi Kanada on September 3, 2003
  Updated on September 4, 2003
*******************************************************************/

import java.net.InetAddress;

/**
 * SSIP Listener Interface
 */
public interface SsipListener {

    /**
     * Process an INVITE message from a remote site.
     */
    public void processInvite(InetAddress remoteAddress);

    /**
     * Process an OK message from a remote site.
     */
    public void processOk();

    /**
     * Process a MESSAGE message from a remote site.
     * message[0] contains "MESSAGE" (message type) and
     * message[1] (and maybe message[2..]) contains the message content.
     */
    public void processMessage(String[] message);

    /**
     * Process a BYE message from a remote site.
     */
    public void processBye();
}
